Payment Link Payment Status
curl --request GET \
--url https://nini.monieswitch.com/payment-link/payment/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/payment-link/payment/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/payment-link/payment/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"id": "f622d416-a4d2-4b41-ab5b-b66207d64d05",
"mode": "SANDBOX",
"type": "CREDIT",
"category": "BANK_FUNDING",
"amount": 2500,
"settledAmount": 2500,
"charges": 137.5,
"vat": 0,
"reference": "DPbu3vXlAK2XriWx7PXXiGJpvkGO5QPhYeGc",
"status": "SUCCESS",
"metadata": {
"narration": "Sandbox Account funding.",
"reference": "CE1nPlosxCJyICNkXqVSQTtebmXqQUDRHBjr",
"amountPaid": 2637.5,
"isPaymentLink": true,
"paymentLinkId": "39f2f76d-215b-4158-a8d3-1f22e89dcd92",
"paymentMethod": "Bank Transfer",
"subaccountShare": 0,
"mainAccountShare": 2500,
"originatorBankCode": "999270",
"originatorBankName": "Monieswitch Test Bank",
"beneficiaryBankCode": "999270",
"beneficiaryBankName": "XpressWallet",
"hasActiveSubaccount": false,
"subaccountSettlement": 0,
"mainAccountSettlement": 2500,
"originatorAccountName": "Emmanuel",
"totalSettlementAmount": 2500,
"beneficiaryAccountName": "QUD-Status Payment Link Test",
"originatorAccountNumber": "0167421242",
"beneficiaryAccountNumber": "4486657529",
"originatorBankVerificationNumber": "",
"beneficiaryBankVerificationNumber": ""
},
"paidAt": "2024-11-08T14:16:46.448Z",
"walletType": "DYNAMIC",
"description": "₦2,637.50 received from Emmanuel",
"sessionId": "999270241108141646491306284164",
"isMerchantAccount": false,
"isServiceAccount": false,
"externalReference": "DPbu3vXlAK2XriWx7PXXiGJpvkGO5QPhYeGc",
"externalTransactionId": null,
"merchantId": "9dcb86ff-ff80-45d8-bae5-0367672932b9",
"walletId": "a4dae224-79f0-4e48-b0ac-4e14b66e1319",
"createdAt": "2024-11-08T14:16:46.541Z",
"updatedAt": "2024-11-08T14:16:51.589Z",
"deletedAt": null
}
}Payment Link
Payment Link Payment Status
GET
/
payment-link
/
payment
/
status
Payment Link Payment Status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I